typedef struct{
	short		comPort;
	double	scanInterval;
	short		numChannels;
	short		tScan;
	short		chan[6];
	short		singleChan;
	short    lastDigInp;
	short 	version;
	short 	channel;
	short 	subChan;
	long	   rawCount;
	double	voltage;
	int 	   digOutWord;
	short 	wordCnt;
	short 	biPolar;
	int 	   errorType;
	short 	filter;
	short 	gain;
	float 	rate;
	short 	modeRegLo;
	short 	modeRegMid;
	short 	modeRegHi;
	short		baud;
	short		sleeping;
	short		standBy;
	int		timeBaseCnt;
	unsigned int    average;
	unsigned int    TXQUEUESIZE;
	unsigned int    RXQUEUESIZE;
}	T_M201;

extern "C" short  FAR PASCAL _export SignOn(T_M201 far *M201);
extern "C" short  FAR PASCAL _export RemoteAvg(T_M201 far *M201);
extern "C" short  FAR PASCAL _export FullScaleCal(T_M201 far *M201);
extern "C" short  FAR PASCAL _export OffsetCal(T_M201 far *M201);
extern "C" short  FAR PASCAL _export SysCal(T_M201 far *M201);
extern "C" double FAR PASCAL _export Counts2Volts(long counts,
																  short wordCnt,
																  short biBolar);
extern "C" short  FAR PASCAL _export GetDigIn(T_M201 far *M201);
extern "C" short  FAR PASCAL _export SetDigOut(int digOutWord);
extern "C" short  FAR PASCAL _export GetVer(T_M201 far *M201);
extern "C" short  FAR PASCAL _export GetConversion(T_M201 far *M201);
extern "C" short  FAR PASCAL _export SetChanCode(T_M201 far *M201);
extern "C" short  FAR PASCAL _export StartScanning(T_M201 far *M201);
extern "C" short  FAR PASCAL _export GetOneScan(T_M201 far *M201, long far *clientDataBuffer);
extern "C" short  FAR PASCAL _export StopScanning(T_M201 far *M201);
extern "C" void   FAR PASCAL _export Gconv(T_M201 far *M201,
														 long far *ScanBuffer);
extern "C" void   FAR PASCAL _export RemoveFromBuffer(int size,
																		long far *ScanBuffer);
extern "C" void   FAR PASCAL _export SetFilter(short filter);
extern "C" short  FAR PASCAL _export SendADMode(T_M201 far *M201);
extern "C" short  FAR PASCAL _export GetCheckSum(void);
extern "C" short  FAR PASCAL _export CloseDevice(void);
extern "C" short  FAR PASCAL _export GotoSleep(void);
extern "C" void   FAR PASCAL _export WriteCntr(T_M201 far *M201,
															  int cntPort,
															  int cntrCount);
extern "C" void   FAR PASCAL _export FilterDelay(short filter);
extern "C" short  FAR PASCAL _export CheckScanTime(T_M201 far *M201,
																	double *maxTime,
																	double *minTime);
extern "C" void   FAR PASCAL _export FilterDelay(short filter);

#ifdef WIN32
extern "C" void   FAR PASCAL _export GetComHandle(HANDLE *idComDev);
extern "C" void   FAR PASCAL _export SetComHandle(HANDLE idComDev);
#else
extern "C" void   FAR PASCAL _export GetComHandle(int *idComDev);
extern "C" void   FAR PASCAL _export SetComHandle(int idComDev);
#endif

